'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = mapToRelative;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function resolve(filename) {
    if (_path2.default.isAbsolute(filename)) return filename;
    return _path2.default.resolve(process.cwd(), filename);
}

function toPosixPath(modulePath) {
    return modulePath.replace(/\\/g, '/');
}

function mapToRelative(currentFile, module) {
    var from = _path2.default.dirname(currentFile);
    var to = _path2.default.normalize(module);

    from = resolve(from);
    to = resolve(to);

    var moduleMapped = _path2.default.relative(from, to);

    moduleMapped = toPosixPath(moduleMapped);

    if (moduleMapped[0] !== '.') moduleMapped = './' + moduleMapped;

    return moduleMapped;
}